Summary:	X Font Rendering library
Summary(pl.UTF-8):	Biblioteka do renderowania fontów
Name:		xorg-lib-libXft
Version:	2.3.9
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXft-%{version}.tar.xz
# Source0-md5:	d378be0fcbd1f689f9a132e0d642bc4b
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	fontconfig-devel >= 2.5.92
BuildRequires:	freetype-devel >= 1:2.3.0
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXrender-devel >= 0.8.2
BuildRequires:	xorg-proto-xproto-devel >= 7.0.22
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
Requires:	fontconfig >= 2.5.92
Requires:	freetype >= 1:2.3.0
Requires:	xorg-lib-libXrender >= 0.8.2
Obsoletes:	XFree86-xft < 4.3.99.9
Obsoletes:	XFree86-xft2 < 4.2.99.902
Obsoletes:	Xft < 2.1.1
Obsoletes:	libXft < 2.1.8
Obsoletes:	xft < 2.1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xft is a library that connects X applications with the FreeType font
rasterization library. Xft uses fontconfig to locate fonts so it has
no configuration files.

%description -l pl.UTF-8
Xft to biblioteka łącząca aplikacje X z biblioteką rasteryzacji fontów
FreeType. Do odnajdywania fontów wykorzystuje bibliotekę fontconfig,
więc Xft nie ma własnych plików konfiguracyjnych.

%package devel
Summary:	Header files for libXft library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXft
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	fontconfig-devel >= 2.5.92
Requires:	freetype-devel >= 1:2.3.0
Requires:	xorg-lib-libXrender-devel >= 0.8.2
Obsoletes:	XFree86-xft-devel < 4.3.99.9
Obsoletes:	XFree86-xft2-devel < 4.2.99.902
Obsoletes:	Xft-devel < 2.1.1
Obsoletes:	libXft-devel < 2.1.8
Obsoletes:	xft-devel < 2.1.3

%description devel
Header files for libXft library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libXft.

%package static
Summary:	Static libXft library
Summary(pl.UTF-8):	Biblioteka statyczna libXft
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	XFree86-xft-static < 4.3.99.9
Obsoletes:	Xft-static < 2.1.1
Obsoletes:	libXft-static < 2.1.8
Obsoletes:	xft-static < 2.1.3

%description static
Static libXft library.

%description static -l pl.UTF-8
Biblioteka statyczna libXft.

%prep
%setup -q -n libXft-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README.md
%attr(755,root,root) %{_libdir}/libXft.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXft.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXft.so
%{_libdir}/libXft.la
%dir %{_includedir}/X11/Xft
%{_includedir}/X11/Xft/*.h
%{_pkgconfigdir}/xft.pc
%{_mandir}/man3/Xft*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXft.a
%changelog
* Wed Apr 23 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXft.git;a=log;h=master

* Tue Apr 22 2025 Jakub Bogusz <qboosh@pld-linux.org> 0de5090
- updated to 2.3.9

* Sun Nov 26 2023 Jan Rękorajski <baggins@pld-linux.org> c0b50be
- Release 2 (by relup.sh)

* Thu Apr 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 4f295b2
- updated to 2.3.8

* Wed Nov 16 2022 Jakub Bogusz <qboosh@pld-linux.org> 554d733
- updated to 2.3.7

* Sat Sep 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 7c8bbc4
- updated to 2.3.6

* Tue Aug 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 59e7c80
- versioned Obsoletes

* Tue Aug 17 2021 Jakub Bogusz <qboosh@pld-linux.org> d1ec814
- updated to 2.3.4

* Tue Mar 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 21f90c9
- updated to 2.3.3

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> bf0f7bc
- x32 rebuild
- release 2 (by relup.sh)

* Fri Jun 06 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 92f1999
- up to 2.3.2

* Sun Jun 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 3b748fa
- updated to 2.3.1

* Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> c0f7bed
- updated to 2.3.0
- removed obsolete lcd-filter patch (functionality integrated upstream)

* Sat Oct 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 6647ab4
- updated to 2.2.0
- xft-config script is gone

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> 7e44650
- rebuild
- rel 2

* Tue Oct 13 2009 Jakub Bogusz <qboosh@pld-linux.org> 3373284
- updated to 2.1.14
- updated lcd-filter patch

* Thu Aug 13 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4251a09
- rel 3; R: fontconfig for main config

* Thu Nov 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7afd4d1
- release 2

* Wed Jul 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 100624b
- ghost soname symlink

* Wed Jul 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9cdd4ea
- up to 2.1.13

* Wed Feb 21 2007 Jakub Bogusz <qboosh@pld-linux.org> e0bcd88
- runtime dependency on freetype 2.3.0

